/*
 * (C) Copyright 2006-2007 Nuxeo SAS (http://nuxeo.com/) and contributors.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 * $Id$
 */

package org.nuxeo.ecm.core.schema.types;

/**
 * @author <a href="mailto:bs@nuxeo.com">Bogdan Stefanescu</a>
 *
 */
public class TypeBindingException extends TypeException {

    private static final long serialVersionUID = 3412654918664885706L;

    private final String typeName;


    public TypeBindingException(String typeName) {
        super("Type could not be resolved: " + typeName);
        this.typeName = typeName;
    }

    public TypeBindingException(String typeName, String message) {
        super("Type binding exception for " + typeName + ": " + message);
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

}
