/*
 * (C) Copyright 2006-2009 Nuxeo SAS (http://nuxeo.com/) and contributors.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 * $Id$
 */

package org.nuxeo.ecm.shell.commands.system;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import org.nuxeo.runtime.RuntimeService;
import org.nuxeo.runtime.api.Framework;
import org.nuxeo.runtime.model.ComponentManager;
import org.nuxeo.runtime.model.RegistrationInfo;

public class util {

    private util() {}

    public static List<RegistrationInfo> listRegistrationInfos() {
        RuntimeService runtime = Framework.getRuntime();
        ComponentManager cm = runtime.getComponentManager();
        List<RegistrationInfo> ris = new ArrayList<RegistrationInfo>(
                cm.getRegistrations());
        Collections.sort(ris, new Comparator<RegistrationInfo>() {
            public int compare(RegistrationInfo o1, RegistrationInfo o2) {
                return o1.getName().toString().compareTo(o2.getName().toString());
            }
        });
        return ris;
    }

}
